http://projects.iot1click.{region}.amazonaws.com/projects/{projectName}/placements/{placementName}Updates a placement with the given attributes. To clear an attribute, pass an empty value (i.e., "").
The name of the placement to update.
The name of the project containing the placement to be updated.
The user-defined object of attributes used to update the placement. The maximum number of key/value pairs is 50.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request PUT \2 --url 'http://projects.iot1click.{region}.amazonaws.com/projects/{projectName}/placements/{placementName}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://projects.iot1click.{region}.amazonaws.com/projects/{projectName}/placements/{placementName}Updates a placement with the given attributes. To clear an attribute, pass an empty value (i.e., "").
The name of the placement to update.
The name of the project containing the placement to be updated.
The user-defined object of attributes used to update the placement. The maximum number of key/value pairs is 50.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request PUT \2 --url 'http://projects.iot1click.{region}.amazonaws.com/projects/{projectName}/placements/{placementName}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}